getList Clients

Retrieves all clients for a specific account

curl --request GET \
  --url https://api.test.neobits.no/core/accounts/{account_id}/clients \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

Request

Headers

  • Authorization•string

    Bearer token authentication using OAuth 2.0 client credentials flow.

Params (path)

  • account_id•string<uuid>

    The account ID

Response

Headers

  • Content-Type•string

    The content type of the response.

Body

  • page•object

    • size•integer

      Number of clients returned

    • total•integer

      Total number of clients

  • data•array<object>

    • id•string<uuid>

      Client ID

    • username•string

      Client username

    • password•string

      Client password

    • auth_methods•string

    • grant_types•string

    • subscription_id•string<uuid>

      Subscription ID associated with the client

    • scope•string

      Scopes associated with the client

    • role•string

      Role associated with the client